Package com.pixelmed.utils

# Class FilenameFilterByCaseInsensitiveSuffix

java.lang.Object
com.pixelmed.utils.FilenameFilterByCaseInsensitiveSuffix

All Implemented Interfaces:
  `FilenameFilter`

public class FilenameFilterByCaseInsensitiveSuffix extends Object implements FilenameFilter

## Constructor Summary

Constructors
Constructor
Description
`FilenameFilterByCaseInsensitiveSuffix(String suffix)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File dir, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilenameFilterByCaseInsensitiveSuffix

public FilenameFilterByCaseInsensitiveSuffix(String suffix)

## Method Details

### accept

public boolean accept(File dir, String name)

Specified by:
  `accept` in interface `FilenameFilter`